com.holonplatform.core.datastore.beans

## Interface BeanDatastoreOperationBuilder<B extends BeanDatastoreOperationBuilder<B>>

- Type Parameters:
    `B` - Concrete builder type
  All Superinterfaces:
    ExpressionResolver.ExpressionResolverBuilder<B>
  All Known Subinterfaces:
    BeanBulkDelete<T>, BeanBulkDeleteOperation<B,O>, BeanBulkInsert<T>, BeanBulkInsertOperation<B,O>, BeanBulkUpdate<T>, BeanBulkUpdateOperation<B,O>, BeanDatastoreOperation<O,C>

      public interface BeanDatastoreOperationBuilder<B extends BeanDatastoreOperationBuilder<B>>
      extends ExpressionResolver.ExpressionResolverBuilder<B>

  `BeanDatastoreOperation` builder.
  Since:
    5.1.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `withExpressionResolvers(Iterable<? extends ExpressionResolver> expressionResolvers)` Add all the expression resolvers provided by given `Iterable`.
    `B` | `withWriteOption(DatastoreOperations.WriteOption writeOption)` Add a `DatastoreOperations.WriteOption` to this operation.
    `B` | `withWriteOptions(DatastoreOperations.WriteOption... writeOptions)` Add a set of `DatastoreOperations.WriteOption`s to this operation.
    `B` | `withWriteOptions(Set<DatastoreOperations.WriteOption> writeOptions)` Add a set of `DatastoreOperations.WriteOption`s to this operation.

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

- - ### Method Detail

    - #### withWriteOption

          B withWriteOption(DatastoreOperations.WriteOption writeOption)

      Add a `DatastoreOperations.WriteOption` to this operation.
      Parameters:
        `writeOption` - The write option to add (not null)
      Returns:
        this

    - #### withWriteOptions

          B withWriteOptions(DatastoreOperations.WriteOption... writeOptions)

      Add a set of `DatastoreOperations.WriteOption`s to this operation.
      Parameters:
        `writeOptions` - The write options to add (not null)
      Returns:
        this

    - #### withWriteOptions

          B withWriteOptions(Set<DatastoreOperations.WriteOption> writeOptions)

      Add a set of `DatastoreOperations.WriteOption`s to this operation.
      Parameters:
        `writeOptions` - The write options to add (not null)
      Returns:
        this

    - #### withExpressionResolvers

          B withExpressionResolvers(Iterable<? extends ExpressionResolver> expressionResolvers)

      Add all the expression resolvers provided by given `Iterable`.
      Parameters:
        `expressionResolvers` - Expression resolvers to add (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.